Skip to main content

Get an invoice by ID

GEThttps://api.propexo.com/v1/invoices/:invoice_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

invoice_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the invoice

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: b58db2aa-198a-49d0-9cbe-05b66af83458
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: dc8517d2-74d7-4d21-883e-7403d4ec465b
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for RESMAN

    Example: null
    x_vendor_idnullrequired

    The external ID of the vendor from the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    x_financial_account_idnullrequired

    The external ID of the financial account from the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    x_cash_financial_account_idnullrequired

    The external ID of the cash financial account from the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    x_ap_financial_account_idnullrequired

    The external ID of the AP financial account from the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    amount_due_in_centsnullrequired

    The amount due on the invoice, in cents

    Notice

    This field will always be null for RESMAN

    Example: null
    amount_paid_in_centsnumber | nullnullablerequired

    The amount paid on the invoice, in cents

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: 13500
    custom_data object | nullrequired
    object
    due_datestring | nullnullablerequired

    The due date associated with the invoice

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: 2025-02-05T00:00:00.000Z
    discount_amount_in_centsnumber | nullnullablerequired

    The deposit amount in cents associated with the invoice

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: 1500
    discount_datestring | nullnullablerequired

    The date a discount was issued on invoice

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: 2025-02-05T00:00:00.000Z
    invoice_datestring | nullnullablerequired

    The date the invoice was issued

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: 2025-01-30T00:00:00.000Z
    invoice_numberstring | nullnullablerequired

    The reference number for the invoice

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: jd-sink123
    notesstring | nullnullablerequired

    Notes associated with the invoice

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: Unit 302 sink repair
    post_datenullrequired

    The date the invoice was posted. Some PMS systems only show the month.

    Notice

    This field will always be null for RESMAN

    Example: null
    post_monthnullrequired

    The month the invoice was posted.

    Notice

    This field will always be null for RESMAN

    Example: null
    post_status_rawnullrequired

    The raw post status associated with the invoice

    Notice

    This field will always be null for RESMAN

    Example: null
    sub_total_amount_in_centsnumber | nullnullablerequired

    The sub total amount of the invoice

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: 13500
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the invoice, in cents

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: 13500
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    financial_account_idnullrequired

    The Propexo unique identifier for the financial account

    Notice

    This field will always be null for RESMAN

    Example: null
    cash_financial_account_idnullrequired

    The Propexo unique identifier for the cash financial account

    Notice

    This field will always be null for RESMAN

    Example: null
    ap_financial_account_idnullrequired

    The Propexo unique identifier for the ap financial account

    Notice

    This field will always be null for RESMAN

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum23required

    The property management system of record

    Show 13 enum values
    RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_REST
    Example: RESMAN
    invoice_items object[]required

    The invoice list items associated with the invoice

  • Array [
  • x_idstringrequired

    The external ID from the integration vendor

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: 3bbc4962-e50e-4440-a666-d9e634590c97
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: eb3b7f76-c779-41f0-a11b-3a3ff62101bd
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for RESMAN

    Example: null
    x_gl_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: 5df4c8a3-20c1-4b52-8c77-5965e0c53779
    x_cash_financial_account_idnullrequired

    The external ID of the cash financial account from the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    invoice_idstringrequired

    The Propexo unique identifier for the invoice

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: cmgl2sbg96566565761kzpmdc1fcmxex
    construction_job_idnullrequired

    The Propexo unique identifier for the construction job

    Notice

    This field will always be null for RESMAN

    Example: null
    amount_due_in_centsnullrequired

    The amount due on the invoice item, in cents

    Notice

    This field will always be null for RESMAN

    Example: null
    notesstring | nullnullablerequired

    Notes associated with the invoice item

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: New drain
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the invoice item, in cents

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: 13500
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: cme02tlq546894823w6rdmln4p8eo
    cash_financial_account_idnullrequired

    The Propexo unique identifier for the cash financial account

    Notice

    This field will always be null for RESMAN

    Example: null
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/invoices/:invoice_id
curl https://api.propexo.com/v1/invoices/:invoice_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "b58db2aa-198a-49d0-9cbe-05b66af83458",
"x_property_id": "dc8517d2-74d7-4d21-883e-7403d4ec465b",
"x_location_id": null,
"x_vendor_id": null,
"x_financial_account_id": null,
"x_cash_financial_account_id": null,
"x_ap_financial_account_id": null,
"amount_due_in_cents": null,
"amount_paid_in_cents": 13500,
"custom_data": "Unknown Type: object,null",
"due_date": "2025-02-05T00:00:00.000Z",
"discount_amount_in_cents": 1500,
"discount_date": "2025-02-05T00:00:00.000Z",
"invoice_date": "2025-01-30T00:00:00.000Z",
"invoice_number": "jd-sink123",
"notes": "Unit 302 sink repair",
"post_date": null,
"post_month": null,
"post_status_raw": null,
"sub_total_amount_in_cents": 13500,
"total_amount_in_cents": 13500,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": null,
"cash_financial_account_id": null,
"ap_financial_account_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"invoice_items": [
{
"x_id": "3bbc4962-e50e-4440-a666-d9e634590c97",
"x_property_id": "eb3b7f76-c779-41f0-a11b-3a3ff62101bd",
"x_location_id": null,
"x_gl_account_id": "5df4c8a3-20c1-4b52-8c77-5965e0c53779",
"x_cash_financial_account_id": null,
"invoice_id": "cmgl2sbg96566565761kzpmdc1fcmxex",
"construction_job_id": null,
"amount_due_in_cents": null,
"notes": "New drain",
"total_amount_in_cents": 13500,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": "cme02tlq546894823w6rdmln4p8eo",
"cash_financial_account_id": null
}
]
}
}